GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List tags GETAdd tag POSTRename tag PATCHDelete tag DELETE
Tags

Add tag POST

Add a tag to one of the brand's tag lists.

Delete tag DELETE

Delete a tag and remove it from everything it labels.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Tags

Rename tag

PATCH
/brands/{brandId}/tags/{tagId}

Rename a tag.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid
tagId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
name*string
Length1 <= length <= 50

Response Body

Tag renamed

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
name*string
Example Request
curl -X PATCH 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string"}

Add tag POST

Add a tag to one of the brand's tag lists.

Delete tag DELETE

Delete a tag and remove it from everything it labels.

Start free trial
Start free trial
Example Request
curl -X PATCH 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string"
}